---
title: FileRequest.lockedFile
slug: Web/API/FileRequest/lockedFile
tags:
  - API
  - DOM
  - Files
  - Non Standard
  - Property
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}} {{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>lockedFile</code> property represents the {{domxref("LockedFile")}} object from which the request was started.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var lockedFile = <em>instanceOfFileRequest</em>.lockedFile
</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("LockedFile")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileRequest")}}</li>
 <li>{{domxref("LockedFile")}}</li>
</ul>
